[general]
persistentmembers = yes 

;[markq]
;
; A sample call queue
;
; Musiconhold sets which music applies for this particular
; call queue (configure classes in musiconhold.conf)
;
;musiconhold = default
;
; An announcement may be specified which is played for the member as
; soon as they answer a call, typically to indicate to them which queue
; this call should be answered as, so that agents or members who are
; listening to more than one queue can differentiated how they should
; engage the customer
;
;announce = queue-markq
;
; A strategy may be specified.  Valid strategies include:
;
; ringall - ring all available channels until one answers (default)
; roundrobin - take turns ringing each available interface 
; leastrecent - ring interface which was least recently called by this queue
; fewestcalls - ring the one with fewest completed calls from this queue
; random - ring random interface
; rrmemory - round robin with memory, remember where we left off last ring pass
;
strategy = random
;
; Second settings for service level (default 0)
; Used for service level statistics (calls completed within service level time frame)
;servicelevel = 60
;
; A context may be specified, in which if the user types a SINGLE
; digit extension while they are in the queue, they will be taken out
; of the queue and sent to that extension in this context.
;
;context = qoutcon
;
; How long do we let the phone ring before we consider this a timeout...
;
timeout = 15
;
; How long do we wait before trying all the members again?
;
;retry = 5
;
; Weight of queue - when compared to other queues, higher weights get 
; first shot at available channels when the same channel is included in 
; more than one queue.
;
;weight=0
;
; After a successful call, how long to wait before sending a potentially
; free member another call (default is 0, or no delay)
;
;wrapuptime=15
;
; Maximum number of people waiting in the queue (0 for unlimited)
;
;maxlen = 0
;
;
; How often to announce queue position and/or estimated holdtime to caller (0=off)
;
;announce-frequency = 90 
;
; Should we include estimated hold time in position announcements?
; Either yes, no, or only once.
; Hold time will be announced as the estimated time, 
; or "less than 2 minutes" when appropriate.
;
;announce-holdtime = yes|no|once

;
; What's the rounding time for the seconds?
; If this is non zero then we announce the seconds as well as the minutes rounded to this value
;
; announce-round-seconds = 10
;
; Use these sound files in making position/holdtime announcements.  The
; defaults are as listed below -- change only if you need to.
;
;queue-youarenext = queue-youarenext		;	("You are now first in line.")
;queue-thereare	= queue-thereare		;	("There are")
;queue-callswaiting = queue-callswaiting	;	("calls waiting.")
;queue-holdtime = queue-holdtime		;	("The current est. holdtime is")
;queue-minutes = queue-minutes			;	("minutes.")
;queue-seconds = queue-seconds			;	("seconds.")
;queue-thankyou = queue-thankyou		;	("Thank you for your patience.")
;queue-lessthan = queue-less-than		;       ("less than")
;queue-reporthold = queue-reporthold		;       ("Hold time")
;
; Calls may be recorded using Asterisk's monitor resource
; This can be enabled from within the Queue application, starting recording
; when the call is actually picked up; thus, only successful calls are
; recorded, and you are not recording while people are listening to MOH.
; To enable monitoring, simply specify "monitor-format";  it will be disabled
; otherwise.
;
; You can specify the monitor filename with by calling SetVar(MONITOR_FILENAME=foo)
; Otherwise it will use ${UNIQUEID}
;
; monitor-format = gsm|wav|wav49
;
; If you wish to have the two files joined together when the call ends set this to yes
;
; monitor-join = yes
;
; If you wish to allow queues that have no members currently to be joined, set this to yes
;
; joinempty = yes
;
; If you wish to remove callers from the queue if there are no agents present, set this to yes
;
; leavewhenempty = yes
;
; Asterisk can generate AgentCalled events when an agent is rung, if this is turned on
; (may generate a LOT of extra manager events)
;
; eventwhencalled = yes
;
; If you wish to report the caller's hold time to the member before they are connected
; to the caller, set this to yes.
;
reportholdtime = no
;
;
; If you wish to have a delay before the member is connected to the caller (or before the member
; hears any announcement messages), set this to the number of seconds to delay.
;
; memberdelay = 0
;
; Each member of this call queue is listed on a separate line in
; the form technology/dialstring.  "member" means a normal member of a
; queue.  An optional penalty may be specified after a comma, such that
; entries with higher penalties are considered last.
;
;member => Zap/1
;member => Zap/2
;member => Agent/1001
;member => Agent/1002

;member => Agent/@1		; Any agent in group 1
;member => Agent/:1,1		; Any agent in group 1, wait for first
                                ; available, but consider with penalty

[teste]
music =	native 
strategy = leastrecent
context = incoming
timeout = 15
wrapuptime=10
announce-frequency = 30
;announce-holdtime = yes
;joinempty = yes
member => Agent/4000


[sales_people]
music = native 
strategy = fewestcalls
context = incoming 
timeout = 15
wrapuptime=5
;announce-frequency = 30
;announce-holdtime = no
;reportholdtime = yes
joinempty = yes
member => Agent/3137
member => Agent/3138
member => Agent/3139
member => Agent/3140
member => Agent/3141
member => Agent/3142
member => Agent/3143
member => Agent/3144
member => Agent/3145
member => Agent/3146
member => Agent/3147
member => Agent/3148
member => Agent/3149
member => Agent/3150
member => Agent/3151
member => Agent/3152
member => Agent/3153
member => Agent/3154
member => Agent/3155
member => Agent/3156
member => Agent/3172

member => Agent/26672202885
member => Agent/28306684800
member => Agent/31343447852
member => Agent/22388039800
member => Agent/32215405821
member => Agent/26133432810
member => Agent/29993500828
member => Agent/27762098860
member => Agent/08983413883
member => Agent/88759210834
member => Agent/33246131830
member => Agent/16499790885
member => Agent/14836845807
member => Agent/9646971814
member => Agent/64866338883
member => Agent/3324563828
member => Agent/15157513844
member => Agent/22353562817
member => Agent/25350572806
member => Agent/4312042845
member => Agent/22714648894
member => Agent/29694778838
member => Agent/30238096823
member => Agent/28391196844
member => Agent/14265174895
member => Agent/19522605824
member => Agent/3327483833
member => Agent/14240179807
member => Agent/29222209826
member => Agent/30407561846
member => Agent/31886959854
member => Agent/15286263840
member => Agent/30326894810
member => Agent/30832665886
member => Agent/27854170894
member => Agent/33557731820
member => Agent/28987441822
member => Agent/28203720847
member => Agent/12687761818
member => Agent/4229160640
member => Agent/33071026803
member => Agent/29341050839
member => Agent/28139094838




[tech_people]
music = native
strategy = fewestcalls
context = incoming 
timeout = 15
wrapuptime=5
;announce-frequency = 30
;announce-holdtime = no
;reportholdtime = yes
joinempty = yes
member => Agent/26672202885
member => Agent/28306684800
member => Agent/31343447852
member => Agent/22388039800
member => Agent/32215405821
member => Agent/26133432810
member => Agent/29993500828
member => Agent/27762098860
member => Agent/08983413883
member => Agent/88759210834
member => Agent/33246131830
member => Agent/16499790885
member => Agent/14836845807
member => Agent/9646971814
member => Agent/64866338883
member => Agent/3324563828
member => Agent/15157513844
member => Agent/22353562817
member => Agent/25350572806
member => Agent/4312042845
member => Agent/22714648894
member => Agent/29694778838
member => Agent/30238096823
member => Agent/28391196844
member => Agent/14265174895
member => Agent/19522605824
member => Agent/3327483833
member => Agent/14240179807
member => Agent/29222209826
member => Agent/30407561846
member => Agent/31886959854
member => Agent/15286263840
member => Agent/30326894810
member => Agent/30832665886
member => Agent/27854170894
member => Agent/33557731820
member => Agent/28987441822
member => Agent/28203720847
member => Agent/12687761818
member => Agent/4229160640
member => Agent/33071026803
member => Agent/29341050839
member => Agent/28139094838

